<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
    
    <ui:define name="contentPart">
        <h:form id="formDetallePlazas">
             <h:outputText value="RH -> Plazas -> Detalle" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Detalle de plaza" />
            <br/><br/>
            
            <h:panelGrid columns="2" 
                         cellpadding="10px"  
                         columnClasses="centered2,centered,centered2,centered" 
                         style="width:90%; text-align:left; padding-left: 90px">
                
                <p:row>
                    <h:outputLabel for="numeroPlaza" 
                                   value="#{translatedMessage['restricted.rh.plaza.numeroPlaza']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="numeroPlaza"  
                                  value="#{detallePlazaMB.plazaDetalle.numeroPlaza}"/>                    
                </p:row>

                <p:row>
                    <h:outputLabel for="estatusPlaza" 
                                   value="#{translatedMessage['restricted.rh.plaza.estatusPlaza']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="estatusPlaza" 
                                  value="#{detallePlazaMB.plazaDetalle.estatusPlazaTO.descripcion}"/>    
                </p:row>                                
                
                <p:row>
                    <h:outputLabel for="nivel" 
                                   value="#{translatedMessage['restricted.rh.plaza.nivel']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="nivel"  
                                  value="#{detallePlazaMB.plazaDetalle.rhNomnTabuladoresTO.strClaveTabulador}"/>                    
                </p:row>

                <p:row>
                    <h:outputLabel for="adscripcion" 
                                   value="#{translatedMessage['restricted.rh.plaza.adscripciones']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="adscripcion" 
                                  value="#{detallePlazaMB.plazaDetalle.rhNomnAdscripcionesTO.descripcion}"/>    
                </p:row>                
                
                <p:row>
                    <h:outputLabel for="puesto" 
                                   value="#{translatedMessage['restricted.rh.plaza.puestos']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="puesto" 
                                  value="#{detallePlazaMB.plazaDetalle.puestoTO.descripcion}"/>                     
                </p:row>

                <p:row>
                    <h:outputLabel for="tipoNombramiento" 
                                   value="#{translatedMessage['restricted.rh.plaza.tiposNombramientos']}: "
                                   style="font-weight:bold"/>                                            
               
                    <h:outputText id="tipoNombramiento" 
                                  value="#{detallePlazaMB.plazaDetalle.tipoNombramientoTO.descripcion}" />                    
                </p:row>                                
                
                
                
                <p:row>
                    <h:outputLabel for="estructuraDetallePlaza" 
                                   value="Estructura: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="estructuraDetallePlaza" 
                                  value="#{detallePlazaMB.plazaDetalle.estructuraTO.descripcion}"/>                     
                </p:row>
                
                
                
                <p:row>
                    <h:outputLabel for="pef" 
                                   value="#{translatedMessage['restricted.rh.plaza.pef']}: "
                                   style="font-weight:bold"/>
                
                    <h:outputText id="pef" 
                                  value="#{detallePlazaMB.plazaDetalle.pef}"/>                     
                </p:row>

                <p:row>
                    <h:outputLabel for="ejercicio" 
                                   value="#{translatedMessage['restricted.rh.plaza.ejercicios']}: "
                                   style="font-weight:bold"/>                                            
               
                    <h:outputText id="ejercicio" 
                                  value="#{detallePlazaMB.plazaDetalle.ejercicioTO.valor}" />                    
                </p:row>                                  
                
                <p:row>
                    <h:outputLabel for="vigenciaInicio" 
                                   value="#{translatedMessage['restricted.rh.plaza.vigenciaInicio']}: "
                                   style="font-weight:bold"/>
               
                    <h:outputText id="vigenciaInicio" 
                                  value="#{detallePlazaMB.plazaDetalle.vigenciaInicio}">                     
                    <f:convertDateTime type="date" 
                                       pattern="dd/MM/yyyy"/>
                    </h:outputText>
                </p:row>

                <p:row>
                    <h:outputLabel for="vigenciaFinal" 
                                   value="#{translatedMessage['restricted.rh.plaza.vigenciaFinal']}: "
                                   style="font-weight:bold"/>                     
                
                    <h:outputText id="vigenciaFinal" 
                                  value="#{detallePlazaMB.plazaDetalle.vigenciaFinal}">                    
                        <f:convertDateTime type="date" 
                                           pattern="dd/MM/yyyy"/>                        
                    </h:outputText>
                </p:row>   
                
                <p:row >
                    <h:outputLabel for="fechaDisp" 
                                   value="Fecha Disponible: "
                                   style="font-weight:bold"/>                 
               
                    <h:outputText id="fechaDisp" 
                                  value="#{detallePlazaMB.fechaDisponible}"
                                  >
                                  <f:convertDateTime type="date" 
                                           pattern="dd/MM/yyyy"/>                        
                    </h:outputText>
                </p:row>
                
                <p:row>
                    <h:outputLabel for="comentario" 
                                   value="#{translatedMessage['restricted.rh.plaza.comentario']}: "
                                   style="font-weight:bold"/>
              
                    <h:outputText id="comentario" 
                                  value="#{detallePlazaMB.plazaDetalle.comentario}"/>                     
                </p:row>

                <p:row rendered="#{detallePlazaMB.blPlazaHija}">
                    <h:outputLabel for="plazaPadre" 
                                   value="#{translatedMessage['restricted.rh.plaza.plazaPadre']}: "
                                   style="font-weight:bold"/>                                            
                
                    <h:outputText id="plazaPadre" 
                                  value="#{detallePlazaMB.plazaDetalle.infoPlazaPadre}" />                    
                </p:row> 
                
                <p:row rendered="#{detallePlazaMB.blPlazaOcupada}" >
                    <h:outputLabel for="propietario" 
                                   value="#{translatedMessage['restricted.rh.plaza.propietario']}: "
                                   style="font-weight:bold"/>                 
               
                    <h:outputText id="propietario" 
                                  value="#{detallePlazaMB.plazaDetalle.nombrePropierario}"
                                  />    
                </p:row>
                <p:row rendered="#{detallePlazaMB.flagPropTemp}" >
                    <h:outputLabel for="propietarioTemp" 
                                   value="Interinato: "
                                   style="font-weight:bold"/>                 
               
                    <h:outputText id="propietarioTemp" 
                                  value="#{detallePlazaMB.interinatoTemp}" />                 
                </p:row>
            </h:panelGrid>
            
            
            
            
            <br />
            <div align="center">
            <p:commandButton
                value="Cerrar"
                class="btnCerrar"
                process="@(.btnCerrar)"
                actionListener="#{detallePlazaMB.cerrar()}"
                >
            </p:commandButton>
            </div>
        </h:form>
    </ui:define>                    
</ui:composition>
